Snag Docs logo

Connect Auth Verify

GEThttps://admin.snagsolutions.io/api/{authType}/auth/connect

endpoint to verify and complete connecting an auth account to a Snag account

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Path Parameters

authType"tiktok" | "reddit" | "instagram"required
Allowed values: "tiktok" | "reddit" | "instagram"

Query Parameters

codestring
statestringrequired
redditProfileUrlstring

The URL of the Reddit profile

tiktokProfileUrlstring

The URL of the TikTok profile

instagramUsernameOrUrlstring

The username or URL of the Instagram profile

responseType"redirect" | "json"

The type of response to return, this is not valid for email auth, email auth only supports the redirect flow via verification link.

Allowed values: "redirect" | "json"

Response

application/json

200

successbooleanrequired

Whether the account was linked successfully

errorstring

The error message if the account was not linked successfully

messagestring

The message of the response

jwtStatestring

The JWT state

Connect Auth Verify — Snag Docs